<html>
<head>
<title>OgreSubMesh.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreSubMesh.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreSubMesh_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __SubMesh_H_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __SubMesh_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreVertexIndexData_8h.html">OgreVertexIndexData.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterial_8h.html">OgreMaterial.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderOperation_8h.html">OgreRenderOperation.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreVertexBoneAssignment_8h.html">OgreVertexBoneAssignment.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreAnimationTrack_8h.html">OgreAnimationTrack.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre {
<a name="l00041"></a>00041 
<a name="l00061"></a><a class="code" href="classOgre_1_1SubMesh.html">00061</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">SubMeshAlloc</a>
<a name="l00062"></a>00062     {
<a name="l00063"></a><a class="code" href="classOgre_1_1SubMesh.html#aa41a130f156b145bffb3f4b5172c4c93">00063</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1Mesh.html">Mesh</a>;
<a name="l00064"></a><a class="code" href="classOgre_1_1SubMesh.html#a48305c54a01e0c7a3376ea0a077c467f">00064</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1MeshSerializerImpl.html" title="Internal implementation of Mesh reading / writing for the latest version of the .mesh format...">MeshSerializerImpl</a>;
<a name="l00065"></a><a class="code" href="classOgre_1_1SubMesh.html#ae60e96165c5d5495195fa0d49f031372">00065</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__2.html" title="Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.">MeshSerializerImpl_v1_2</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1SubMesh.html#aef9901d67ded13a151aa3d4fde3a7b17">00066</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__1.html" title="Class for providing backwards-compatibility for loading version 1.1 of the .mesh format.">MeshSerializerImpl_v1_1</a>;
<a name="l00067"></a>00067     <span class="keyword">public</span>:
<a name="l00068"></a>00068         <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>();
<a name="l00069"></a>00069         ~<a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>();
<a name="l00070"></a>00070 
<a name="l00071"></a>00071 
<a name="l00073"></a><a class="code" href="classOgre_1_1SubMesh.html#a931e3764e3bf1c3ef7431fc852770fb1">00073</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a931e3764e3bf1c3ef7431fc852770fb1" title="Indicates if this submesh shares vertex data with other meshes or whether it has it&#39;s own vertices...">useSharedVertices</a>;
<a name="l00074"></a>00074 
<a name="l00076"></a><a class="code" href="classOgre_1_1SubMesh.html#a10ed3ef8bb24a001bb89dc9e3cd88c31">00076</a>         <a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d" title="The rendering operation type to perform.">RenderOperation::OperationType</a> <a class="code" href="classOgre_1_1SubMesh.html#a10ed3ef8bb24a001bb89dc9e3cd88c31" title="The render operation type used to render this submesh.">operationType</a>;
<a name="l00077"></a>00077 
<a name="l00085"></a><a class="code" href="classOgre_1_1SubMesh.html#a1862a3ec9a3f2ed4ade8af69b41a809d">00085</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> *<a class="code" href="classOgre_1_1SubMesh.html#a1862a3ec9a3f2ed4ade8af69b41a809d" title="Dedicated vertex data (only valid if useSharedVertices = false).">vertexData</a>;
<a name="l00086"></a>00086 
<a name="l00088"></a><a class="code" href="classOgre_1_1SubMesh.html#aad428fa6595c7fb01ef7543e5d8d6454">00088</a>         <a class="code" href="classOgre_1_1IndexData.html" title="Summary class collecting together index data source information.">IndexData</a> *<a class="code" href="classOgre_1_1SubMesh.html#aad428fa6595c7fb01ef7543e5d8d6454" title="Face index data.">indexData</a>;
<a name="l00089"></a>00089 
<a name="l00109"></a><a class="code" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">00109</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;unsigned short&gt;::type</a> <a class="code" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996" title="Dedicated index map for translate blend index to bone index (only valid if useSharedVertices = false)...">IndexMap</a>;
<a name="l00110"></a><a class="code" href="classOgre_1_1SubMesh.html#ae6b4c1d0724fe6a9a961b73bd646d3cf">00110</a>         <a class="code" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996" title="Dedicated index map for translate blend index to bone index (only valid if useSharedVertices = false)...">IndexMap</a> <a class="code" href="classOgre_1_1SubMesh.html#ae6b4c1d0724fe6a9a961b73bd646d3cf">blendIndexToBoneIndexMap</a>;
<a name="l00111"></a>00111 
<a name="l00112"></a><a class="code" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">00112</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;IndexData*&gt;::type</a> <a class="code" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">LODFaceList</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1SubMesh.html#a821d2587eb2dc9746a2b1a5c0deada32">00113</a>         <a class="code" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">LODFaceList</a> <a class="code" href="classOgre_1_1SubMesh.html#a821d2587eb2dc9746a2b1a5c0deada32">mLodFaceList</a>;
<a name="l00114"></a>00114 
<a name="l00134"></a><a class="code" href="classOgre_1_1SubMesh.html#a3f918cb8640e541175589089ce096aef">00134</a>         <a class="code" href="structOgre_1_1vector.html">vector&lt;Vector3&gt;::type</a> <a class="code" href="classOgre_1_1SubMesh.html#a3f918cb8640e541175589089ce096aef" title="A list of extreme points on the submesh (optional).">extremityPoints</a>;
<a name="l00135"></a>00135 
<a name="l00137"></a><a class="code" href="classOgre_1_1SubMesh.html#ac2b9fd25eb56625716d9e8915f4e0e7d">00137</a>         <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* <a class="code" href="classOgre_1_1SubMesh.html#ac2b9fd25eb56625716d9e8915f4e0e7d" title="Reference to parent Mesh (not a smart pointer so child does not keep parent alive).">parent</a>;
<a name="l00138"></a>00138 
<a name="l00140"></a>00140         <span class="keywordtype">void</span> setMaterialName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; matName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023" title="Special resource group name which causes resource group to be automatically determined based on searc...">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a> );
<a name="l00141"></a>00141         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMaterialName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00142"></a>00142 
<a name="l00145"></a>00145         <span class="keywordtype">bool</span> isMatInitialised(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00146"></a>00146 
<a name="l00153"></a>00153         <span class="keywordtype">void</span> _getRenderOperation(<a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; rend, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> lodIndex = 0);
<a name="l00154"></a>00154 
<a name="l00167"></a>00167         <span class="keywordtype">void</span> addBoneAssignment(<span class="keyword">const</span> <a class="code" href="structOgre_1_1VertexBoneAssignment__s.html" title="Records the assignment of a single vertex to a single bone with the corresponding weight...">VertexBoneAssignment</a>&amp; vertBoneAssign);
<a name="l00168"></a>00168 
<a name="l00174"></a>00174         <span class="keywordtype">void</span> clearBoneAssignments(<span class="keywordtype">void</span>);
<a name="l00175"></a>00175 
<a name="l00177"></a><a class="code" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">00177</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1multimap.html">multimap&lt;size_t, VertexBoneAssignment&gt;::type</a> <a class="code" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2" title="Multimap of verex bone assignments (orders by vertex index)">VertexBoneAssignmentList</a>;
<a name="l00178"></a><a class="code" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">00178</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;VertexBoneAssignmentList&gt;</a> <a class="code" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">BoneAssignmentIterator</a>;
<a name="l00179"></a>00179 
<a name="l00184"></a>00184         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">BoneAssignmentIterator</a> getBoneAssignmentIterator(<span class="keywordtype">void</span>);
<a name="l00185"></a>00185 
<a name="l00188"></a><a class="code" href="classOgre_1_1SubMesh.html#a03901f7c72762aa3794af16b88c3e196">00188</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2" title="Multimap of verex bone assignments (orders by vertex index)">VertexBoneAssignmentList</a>&amp; <a class="code" href="classOgre_1_1SubMesh.html#a03901f7c72762aa3794af16b88c3e196" title="Gets a const reference to the list of bone assignments.">getBoneAssignments</a>() { <span class="keywordflow">return</span> mBoneAssignments; }
<a name="l00189"></a>00189 
<a name="l00190"></a>00190 
<a name="l00192"></a>00192         <span class="keywordtype">void</span> _compileBoneAssignments(<span class="keywordtype">void</span>);
<a name="l00193"></a>00193 
<a name="l00194"></a><a class="code" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">00194</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">ConstMapIterator&lt;AliasTextureNamePairList&gt;</a> <a class="code" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">AliasTextureIterator</a>;
<a name="l00198"></a>00198         <a class="code" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">AliasTextureIterator</a> getAliasTextureIterator(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00209"></a>00209         <span class="keywordtype">void</span> addTextureAlias(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; aliasName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; textureName);
<a name="l00215"></a>00215         <span class="keywordtype">void</span> removeTextureAlias(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; aliasName);
<a name="l00218"></a>00218         <span class="keywordtype">void</span> removeAllTextureAliases(<span class="keywordtype">void</span>);
<a name="l00221"></a><a class="code" href="classOgre_1_1SubMesh.html#a776598acc2a9c0d04d9019cd4137d905">00221</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a776598acc2a9c0d04d9019cd4137d905" title="returns true if the sub mesh has texture aliases">hasTextureAliases</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> !mTextureAliases.empty(); }
<a name="l00224"></a><a class="code" href="classOgre_1_1SubMesh.html#ab80c14813793491559cf24c60f455fd4">00224</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1SubMesh.html#ab80c14813793491559cf24c60f455fd4" title="Gets the number of texture aliases assigned to the sub mesh.">getTextureAliasCount</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTextureAliases.size(); }
<a name="l00225"></a>00225 
<a name="l00236"></a>00236         <span class="keywordtype">bool</span> updateMaterialUsingTextureAliases(<span class="keywordtype">void</span>);
<a name="l00237"></a>00237 
<a name="l00240"></a>00240         <a class="code" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e" title="Type of vertex animation.">VertexAnimationType</a> getVertexAnimationType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00241"></a>00241         
<a name="l00243"></a><a class="code" href="classOgre_1_1SubMesh.html#a869de8ed370ae9ac77e7e600aa109514">00243</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a869de8ed370ae9ac77e7e600aa109514" title="Returns whether animation on dedicated vertex data includes normals.">getVertexAnimationIncludesNormals</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVertexAnimationIncludesNormals; }
<a name="l00244"></a>00244 
<a name="l00245"></a>00245 
<a name="l00250"></a>00250         <span class="keywordtype">void</span> generateExtremes(<span class="keywordtype">size_t</span> count);
<a name="l00251"></a>00251 
<a name="l00254"></a><a class="code" href="classOgre_1_1SubMesh.html#a2c42d72d5ca9879b2528b7d40a13bf8d">00254</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a2c42d72d5ca9879b2528b7d40a13bf8d" title="Returns true(by default) if the submesh should be included in the mesh EdgeList, otherwise returns fa...">isBuildEdgesEnabled</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBuildEdgesEnabled; }
<a name="l00255"></a>00255         <span class="keywordtype">void</span> setBuildEdgesEnabled(<span class="keywordtype">bool</span> b);
<a name="l00256"></a>00256 
<a name="l00257"></a>00257     <span class="keyword">protected</span>:
<a name="l00258"></a>00258 
<a name="l00260"></a><a class="code" href="classOgre_1_1SubMesh.html#ac9cc28e9a11b69a815fa9b3e52cd76f7">00260</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1SubMesh.html#ac9cc28e9a11b69a815fa9b3e52cd76f7" title="Name of the material this SubMesh uses.">mMaterialName</a>;
<a name="l00261"></a>00261 
<a name="l00263"></a><a class="code" href="classOgre_1_1SubMesh.html#a25a7ea86e4beaadd868dacb760330e52">00263</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a25a7ea86e4beaadd868dacb760330e52" title="Is there a material yet?">mMatInitialised</a>;
<a name="l00264"></a>00264 
<a name="l00266"></a><a class="code" href="classOgre_1_1SubMesh.html#ab1f26bc16b9c1ea567ffcc4548e6466a">00266</a>         <a class="code" href="group__General.html#ga20898062bd79359acd1137276d9b0e37" title="Alias / Texture name pair (first = alias, second = texture name)">AliasTextureNamePairList</a> <a class="code" href="classOgre_1_1SubMesh.html#ab1f26bc16b9c1ea567ffcc4548e6466a" title="paired list of texture aliases and texture names">mTextureAliases</a>;
<a name="l00267"></a>00267 
<a name="l00268"></a><a class="code" href="classOgre_1_1SubMesh.html#a1e190c3084110b7fa74a208f9c1f29f1">00268</a>         <a class="code" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2" title="Multimap of verex bone assignments (orders by vertex index)">VertexBoneAssignmentList</a> <a class="code" href="classOgre_1_1SubMesh.html#a1e190c3084110b7fa74a208f9c1f29f1">mBoneAssignments</a>;
<a name="l00269"></a>00269 
<a name="l00271"></a><a class="code" href="classOgre_1_1SubMesh.html#a97ac0719e0d2a1cd4f0ed4ec48a72912">00271</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a97ac0719e0d2a1cd4f0ed4ec48a72912" title="Flag indicating that bone assignments need to be recompiled.">mBoneAssignmentsOutOfDate</a>;
<a name="l00272"></a>00272 
<a name="l00274"></a><a class="code" href="classOgre_1_1SubMesh.html#a7b6ef63e9dd8945accbc942307c8fcea">00274</a>         <span class="keyword">mutable</span> <a class="code" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e" title="Type of vertex animation.">VertexAnimationType</a> <a class="code" href="classOgre_1_1SubMesh.html#a7b6ef63e9dd8945accbc942307c8fcea" title="Type of vertex animation for dedicated vertex data (populated by Mesh)">mVertexAnimationType</a>;
<a name="l00275"></a>00275 
<a name="l00277"></a><a class="code" href="classOgre_1_1SubMesh.html#a0c6daf9febdc307b03e788c4bdbd786f">00277</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a0c6daf9febdc307b03e788c4bdbd786f" title="Whether normals are included in vertex animation keyframes.">mVertexAnimationIncludesNormals</a>;
<a name="l00278"></a>00278 
<a name="l00280"></a><a class="code" href="classOgre_1_1SubMesh.html#a6eeebb3445a88e6cc77e22f41322964e">00280</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubMesh.html#a6eeebb3445a88e6cc77e22f41322964e" title="Is Build Edges Enabled.">mBuildEdgesEnabled</a>;
<a name="l00281"></a>00281 
<a name="l00283"></a>00283         <span class="keywordtype">void</span> removeLodLevels(<span class="keywordtype">void</span>);
<a name="l00284"></a>00284 
<a name="l00285"></a>00285 
<a name="l00286"></a>00286     };
<a name="l00290"></a>00290 } <span class="comment">// namespace</span>
<a name="l00291"></a>00291 
<a name="l00292"></a>00292 <span class="preprocessor">#endif</span>
<a name="l00293"></a>00293 <span class="preprocessor"></span>
<a name="l00294"></a>00294 
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
